Skip to main content
GET
List payments

Editor interactivo de filter

Utiliza este editor para generar un valor que puedes usar en el parámetro filter del query string. Para relaciones, grupos lógicos y más ejemplos, consulta la guía de filtros.

Authorizations

Authorization
string
header
required

Organization API key using Authorization: Bearer sk_....

Query Parameters

filter
object

Filter fields encoded with qs bracket notation.

skip
number
default:0

Pagination offset.

Required range: x >= 0
Example:

0

take
number
default:20

Pagination limit.

Required range: 1 <= x <= 100
Example:

20

orderBy
object

Sort fields encoded with qs bracket notation.

Response

Payments list

id
string
required

Unique identifier of the payment.

Example:

"p_1234567890abcdefghij"

createdAt
string<date-time>
required

When the payment record was created.

Example:

"2025-01-15T18:30:00.000Z"

updatedAt
string<date-time>
required

When the payment was last updated.

Example:

"2025-01-15T18:30:00.000Z"

amount
number
required

Payment amount in minor currency units.

Example:

150000

currency
string
required

ISO 4217 currency code.

Example:

"MXN"

description
string | null
required

Human-readable description of the payment.

Example:

"Colegiatura Enero 2025"

type
enum<string> | null
required

Payment type.

Available options:
TRANSFER,
CARD,
OXXO,
OTHER,
CASH,
DIRECT_DEBIT,
null
Example:

"CARD"

status
enum<string> | null
required

Current payment status.

Available options:
INCOMPLETE,
COMPLETE,
CANCELED,
INITIATED,
REFUNDED,
DISPUTED,
REVERTED,
null
Example:

"COMPLETE"

isCompleted
boolean
required

Whether the payment has been fully settled.

Example:

true

paymentTime
string<date-time> | null
required

Date and time when the payment was completed.

Example:

"2025-01-15T18:30:00.000Z"

customerId
string
required

Identifier of the customer who made the payment.

Example:

"cus_1234567890abcdefghij"

paymentIntentId
string | null
required

Payment processor intent identifier, if any.

Example:

null

organizationId
string
required

Identifier of the owning organization.

Example:

"org_1234567890abcdefghij"

skipTaxInvoice
boolean
required

Whether tax invoice generation is skipped for this payment.

Example:

false

monthlyInstallments
integer | null
required

Number of monthly installments, if any.

Example:

null

processor
enum<string> | null
required

Processor that handled the payment, if any.

Available options:
FISERV,
KUSHKI,
QUENTLI,
SANTANDER,
STRIPE,
TAPI,
null
Example:

null

processorFee
integer | null
required

Processor fee in minor currency units, if known.

Example:

null

processorFeeTax
integer | null
required

Tax on the processor fee in minor currency units, if known.

Example:

null

installmentsFee
integer | null
required

Installments fee in minor currency units, if any.

Example:

null

installmentsFeeTax
integer | null
required

Tax on the installments fee in minor currency units, if any.

Example:

null

externalPaymentTypeId
string | null
required

External payment type identifier when type is OTHER.

Example:

null

sessionId
string | null
required

Payment session identifier associated with this payment, if any.

Example:

null

items
object[]
required
paymentMethodId
string | null

Identifier of the payment method used, if any.

Example:

"pm_1234567890abcdefghij"

metadata
object[] | null

Structured metadata entries.

Example:

null

meta
object | null

Flattened metadata key-value map.

Example:

null